Mobile Enrollment
The Mobile Enrollment service collection provides operations for triggering the on-boarding process for mobile devices in your CrowdStrike Falcon environment. Enroll or re-enroll mobile devices using email-based invitations.
| Language | Last Update |
|---|---|
| Python | v1.4.6 |
| PowerShell | v2.2.9 |
| Go | v0.20.0 |
| TypeScript | v0.6.0 |
| Rust | v0.7.0 |
| Ruby | v1.2.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
RequestDeviceEnrollmentV3device_enroll | Trigger on-boarding process for a mobile device |
RequestDeviceEnrollmentV4device_enroll_v4 | Trigger on-boarding process for a mobile device |
RequestDeviceEnrollmentV3
Section titled “RequestDeviceEnrollmentV3”Trigger on-boarding process for a mobile device.
POST /enrollments/entities/details/v3
PEP 8
device_enrollParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| action_name | query | string | Action to perform. Allowed values: enroll, re-enroll. |
| body | body | dictionary | Full body payload as a dictionary, not required when using other keywords. |
| email_addresses | body | string or list of strings | User IDs to apply actions to. Supports comma-delimited strings. Must be provided as a keyword or as part of the body payload. |
| expires_at | body | string | Expiration date for the enrollment. UTC date format. |
| filter | query | string | FQL formatted filter. |
| parameters | query | dictionary | Full query parameters payload as a dictionary, not required when using other keywords. |
Code Examples
Section titled “Code Examples”from falconpy import MobileEnrollment
falcon = MobileEnrollment(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.device_enroll(email_addresses=["string"], expires_at="string", action_name="string", filter="string")print(response)from falconpy import MobileEnrollment
falcon = MobileEnrollment(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.RequestDeviceEnrollmentV3(email_addresses=["string"], expires_at="string", action_name="string", filter="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "email_addresses": ["string"], "expires_at": "string"}
response = falcon.command("RequestDeviceEnrollmentV3", action_name="string", filter="string", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/mobile_enrollment" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
expires_at := "string" filter := "string"
response, err := client.MobileEnrollment.RequestDeviceEnrollmentV3( &mobile_enrollment.RequestDeviceEnrollmentV3Params{ Body: &models.APIPostEnrollmentDetails{ EmailAddresses: []string{"string"}, ExpiresAt: &expires_at, }, ActionName: "string", Filter: &filter, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.mobileEnrollment.requestDeviceEnrollmentV3( { // body emailAddresses: [], expiresAt: "string" }, "string", // actionName "string" // filter);
console.log(response);use rusty_falcon::apis::mobile_enrollment_api::request_device_enrollment_v3;use rusty_falcon::easy::client::FalconHandle;use rusty_falcon::models::ApiPostEnrollmentDetails;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let body = ApiPostEnrollmentDetails { email_addresses: vec!["string".to_string()], expires_at: Some("string".to_string()), ..Default::default() };
let response = request_device_enrollment_v3( &falcon.cfg, // configuration body, // body Some("string"), // action_name Some("string"), // filter ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::MobileEnrollment.new
body = Falcon::ApiPostEnrollmentDetails.new( email_addresses: [], expires_at: 'string')
response = api.request_device_enrollment_v3(body)
puts responseRequestDeviceEnrollmentV4
Section titled “RequestDeviceEnrollmentV4”Trigger on-boarding process for a mobile device.
POST /enrollments/entities/details/v4
PEP 8
device_enroll_v4Parameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| action_name | query | string | Action to perform. Allowed values: enroll, re-enroll. |
| body | body | dictionary | Full body payload as a dictionary, not required when using other keywords. |
| email_addresses | body | string or list of strings | User IDs to apply actions to. Supports comma-delimited strings. Must be provided as a keyword or as part of the body payload. |
| enrollment_type | body | string | Type of mobile enrollment. |
| expires_at | body | string | Expiration date for the enrollment. UTC date format. |
| filter | query | string | FQL formatted filter. |
| parameters | query | dictionary | Full query parameters payload as a dictionary, not required when using other keywords. |
Code Examples
Section titled “Code Examples”from falconpy import MobileEnrollment
falcon = MobileEnrollment(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.device_enroll_v4(email_addresses=["string"], enrollment_type="string", expires_at="string", use_network_extension=boolean, action_name="string", filter="string")print(response)from falconpy import MobileEnrollment
falcon = MobileEnrollment(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.RequestDeviceEnrollmentV4(email_addresses=["string"], enrollment_type="string", expires_at="string", use_network_extension=boolean, action_name="string", filter="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = { "email_addresses": ["string"], "enrollment_type": "string", "expires_at": "string", "use_network_extension": boolean}
response = falcon.command("RequestDeviceEnrollmentV4", action_name="string", filter="string", body=body_payload)print(response)Invoke-FalconMobileAction -Name "string" -Email @("ID1", "ID2")package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/mobile_enrollment" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
enrollment_type := "string" expires_at := "string" use_network_extension := boolean filter := "string"
response, err := client.MobileEnrollment.RequestDeviceEnrollmentV4( &mobile_enrollment.RequestDeviceEnrollmentV4Params{ Body: &models.APIPostEnrollmentDetailsV4{ EmailAddresses: []string{"string"}, EnrollmentType: &enrollment_type, ExpiresAt: &expires_at, UseNetworkExtension: &use_network_extension, }, ActionName: "string", Filter: &filter, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.mobileEnrollment.requestDeviceEnrollmentV4( { // body emailAddresses: [], enrollmentType: "string", expiresAt: "string", useNetworkExtension: boolean }, "string", // actionName "string" // filter);
console.log(response);use rusty_falcon::apis::mobile_enrollment_api::request_device_enrollment_v4;use rusty_falcon::easy::client::FalconHandle;use rusty_falcon::models::ApiPostEnrollmentDetailsV4;
#[tokio::main]async fn main() { let falcon = FalconHandle::from_env().await.expect("Could not authenticate");
let body = ApiPostEnrollmentDetailsV4 { email_addresses: vec!["string".to_string()], enrollment_type: Some("string".to_string()), expires_at: Some("string".to_string()), use_network_extension: Some(boolean), ..Default::default() };
let response = request_device_enrollment_v4( &falcon.cfg, // configuration body, // body Some("string"), // action_name Some("string"), // filter ).await.expect("API call failed");
println!("{:?}", response);}require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::MobileEnrollment.new
body = Falcon::ApiPostEnrollmentDetailsV4.new( email_addresses: [], enrollment_type: 'string', expires_at: 'string', use_network_extension: boolean)
response = api.request_device_enrollment_v4(body)
puts response